## coyim 0.3.7

=== Makefile ===
GTK_VERSION=$(shell pkg-config --modversion gtk+-3.0 | tr . _ | cut -d '_' -f 1-2)
GTK_BUILD_TAG="gtk_$(GTK_VERSION)"
GIT_VERSION=$(shell git rev-parse HEAD)
TAG_VERSION=$(shell git tag -l --contains $$GIT_VERSION)
GO_VERSION=$(shell go version | grep  -o 'go[[:digit:]]\.[[:digit:]]')

BUILD_DIR=bin

default: gen-ui-defs gen-schema-defs lint test
.PHONY: test

build: build-cli build-gui

# This should not be added as a requirement to build-gui because it may hide
# build problems. build-gui is exactly what `go get` will do on a clean repo
gen-ui-defs:
	make -C ./gui/definitions

gen-schema-defs:
	make -C ./gui/settings/definitions

build-gui: generate-version-file
	go build -i -tags $(GTK_BUILD_TAG) -o $(BUILD_DIR)/coyim

build-gui-win: generate-version-file
	go build -i -tags $(GTK_BUILD_TAG) -ldflags -H=windowsgui -o $(BUILD_DIR)/coyim.exe

build-cli: generate-version-file
	go build -i -tags cli -o $(BUILD_DIR)/coyim-cli

build-debug:
	go build -i -gcflags "-N -l" -tags $(GTK_BUILD_TAG) -o $(BUILD_DIR)/coyim-debug

debug: build-debug
	gdb $(BUILD_DIR)/coyim-debug -d $(shell go env GOROOT) -x build/debug

i18n:
	make -C i18n
.PHONY: i18n

lint:
ifeq ($(GO_VERSION), go1.3)
	echo "Your version of Go is too old for running lint. Skipping."
else
ifeq ($(GO_VERSION), go1.4)
	echo "Your version of Go is too old for running lint. Skipping."
else
ifeq ($(GO_VERSION), go1.5)
	echo "Your version of Go is too old for running lint. Skipping."
else
	golint ./...
endif
endif
endif

test:
	go test -cover -v -tags $(GTK_BUILD_TAG) ./...

clean-gui-test:
	$(RM) gui-test/*

#TODO: this should only be called on a linux environment
gui-test: clean-gui-test
ifeq ($(shell uname), Linux)
	git clone https://github.com/twstrike/coyim-testing.git gui-test
	echo $$COYIM_PATH
	cd gui-test && behave --stop
endif

generate-version-file:
	./gen_version_file.sh $(GIT_VERSION) $(TAG_VERSION)

run-cover: clean-cover
	mkdir -p .coverprofiles
	go test -coverprofile=.coverprofiles/cli.coverprofile     ./cli
	go test -coverprofile=.coverprofiles/client.coverprofile  ./client
	go test -coverprofile=.coverprofiles/config.coverprofile  ./config
	go test -coverprofile=.coverprofiles/config_importer.coverprofile  ./config/importer
	go test -coverprofile=.coverprofiles/event.coverprofile   ./event
	go test -coverprofile=.coverprofiles/gui.coverprofile  ./gui
	go test -coverprofile=.coverprofiles/i18n.coverprofile    ./i18n
	go test -coverprofile=.coverprofiles/net.coverprofile     ./net
	go test -coverprofile=.coverprofiles/roster.coverprofile  ./roster
	go test -coverprofile=.coverprofiles/sasl.coverprofile    ./sasl
	go test -coverprofile=.coverprofiles/sasl_digestmd5.coverprofile    ./sasl/digestmd5
	go test -coverprofile=.coverprofiles/sasl_plain.coverprofile        ./sasl/plain
	go test -coverprofile=.coverprofiles/sasl_scram.coverprofile        ./sasl/scram
	go test -coverprofile=.coverprofiles/servers.coverprofile ./servers
	go test -coverprofile=.coverprofiles/session.coverprofile ./session
	go test -coverprofile=.coverprofiles/xmpp.coverprofile    ./xmpp
	go test -coverprofile=.coverprofiles/xmpp_data.coverprofile    ./xmpp/data
	go test -coverprofile=.coverprofiles/xmpp_utils.coverprofile    ./xmpp/utils
	go test -coverprofile=.coverprofiles/ui.coverprofile      ./ui
	go test -tags $(GTK_BUILD_TAG) -coverprofile=.coverprofiles/main.coverprofile
	gover .coverprofiles .coverprofiles/gover.coverprofile

clean-cover:
	$(RM) -rf .coverprofiles

# generats an HTML report with coverage information
cover: run-cover
	go tool cover -html=.coverprofiles/gover.coverprofile

get:
	go get -t -tags $(GTK_BUILD_TAG) ./...

deps-dev:
ifeq ($(GO_VERSION), go1.3)
	go get -a golang.org/x/tools/cmd/cover
else
ifeq ($(GO_VERSION), go1.4)
	go get -a golang.org/x/tools/cmd/cover
else
ifeq ($(GO_VERSION), go1.5)
	go get -a golang.org/x/tools/cmd/cover
else
	go get github.com/golang/lint/golint
endif
endif
endif
	go get github.com/modocache/gover
	go get github.com/tools/godep

deps: deps-dev
	godep restore

fixup-deps:
	godep save -r -t -v ./...

=== ci/Makefile ===
GO_VERSION=$(shell go version | grep  -o 'go[[:digit:]]\.[[:digit:]]')

ci: deps lint doctor test coveralls

deps:
	make deps -C ../

lint:
	make lint -C ../

test:
	make test -C ../

doctor: check-go-imports check-ui-defs

check-go-imports:
ifeq ($(GO_VERSION), go1.3)
	echo "Your version of Go is too old for running goimports. Skipping."
else
ifeq ($(GO_VERSION), go1.4)
	echo "Your version of Go is too old for running goimports. Skipping."
else
	go get golang.org/x/tools/cmd/goimports
	goimports -w .
	git diff --exit-code .
endif
endif

# make sure the ui definitions checked in are in sync
check-ui-defs:
	make doctor -C ../gui/definitions

# send coverage data to coveralls
coveralls:
	make run-cover -C ../
	go get github.com/mattn/goveralls
	goveralls -coverprofile=../.coverprofiles/gover.coverprofile -service=travis-ci || true

clean-release:
	$(RM) bin/*

release-cli: cross-compile

cross-compile:
	mkdir -p ../release
	go get github.com/mitchellh/gox
	gox -build-toolchain || true

	# windows does not have syscall.SIGWINCH
	cd .. && gox -os "!windows" -tags "cli" -output "release/{{.Dir}}-cli_{{.OS}}_{{.Arch}}"

clean-mac-bundle:
	$(RM) -r ../bin/mac-bundle

mac-bundle:
	make -C ../ build-gui

	iconutil -c icns -o ../build/mac-bundle/coy.icns ../build/mac-bundle/coy.iconset
	cd .. && ci/build-osx-bundle bin/mac-bundle/CoyIM.app

release-dmg: clean-mac-bundle mac-bundle
	mkdir -p ../release
	ln -s /Applications ../bin/mac-bundle/Applications
	cp ../build/mac-bundle/ds-store ../bin/mac-bundle/.DS_Store
	./make-dmg coyim ../bin/mac-bundle ../release/coyim.dmg
	openssl dgst -sha256 ../release/coyim.dmg >> ../release/checksum

../bin/coyim:
	make -C ../ build-gui

release-gui: ../bin/coyim
	mkdir -p ../release
	cp ../bin/coyim ../release/coyim_$(shell go env GOOS)_$(shell go env GOARCH)
	openssl dgst -sha256 ../release/coyim_$(shell go env GOOS)_$(shell go env GOARCH) >> ../release/checksum

../bin/coyim.exe:
	make -C ../ build-gui-win

release-gui-win: ../bin/coyim.exe
	mkdir -p ../release
	cp ../vendor/toast.exe ../release/toast.exe
	cp ../bin/coyim.exe ../release/coyim_$(shell go env GOOS)_$(shell go env GOARCH).exe
	openssl dgst -sha256 ../release/coyim_$(shell go env GOOS)_$(shell go env GOARCH).exe >> ../release/checksum

=== reproducible/docker/Makefile ===
IMAGE_NAME=coyim/reproducible

default:
	docker build -t $(IMAGE_NAME) -f Dockerfile .

build:
	docker run -e REFERENCE_DATETIME="$(REFERENCE_DATETIME)" -i -t $(IMAGE_NAME)

run:
	docker run -e REFERENCE_DATETIME="$(REFERENCE_DATETIME)" -i -t $(IMAGE_NAME) bash

=== debian/changelog ===
coyim (0.3.7-3) unstable; urgency=medium

  [ Chris Lamb ]
  * Skip tests that require internet access to avoid FTBFS. Whilst this was
    proximately caused by missing Build-Depends on "ca-certificates", the
    testsuite would remain brittle due to it requiring an internet connection
    and a valid remote SSL certificate at www.olabini.se:443.
    (Closes: #863414)

 -- Sascha Steinbiss <satta@debian.org>  Mon, 29 May 2017 10:31:46 +0200

coyim (0.3.7-2) unstable; urgency=medium

  * Remove unused Build-deps on golint, ruby and git.
  * Add Recommends: for tor.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 03 Nov 2016 23:17:08 +0000

coyim (0.3.7-1) unstable; urgency=medium

  * Initial release (Closes: #819469)

 -- Sascha Steinbiss <satta@debian.org>  Tue, 25 Oct 2016 08:34:58 +0200

=== debian/control ===
Source: coyim
Section: net
Priority: optional
Maintainer: Sascha Steinbiss <satta@debian.org>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-go,
               golang-dbus-dev,
               golang-github-gotk3-gotk3-dev,
               golang-github-hydrogen18-stalecucumber-dev,
               golang-github-thecreeper-go-notify-dev,
               golang-github-twstrike-gotk3adapter-dev,
               golang-github-twstrike-otr3-dev,
               golang-github-dhowett-go-plist-dev,
               golang-golang-x-crypto-dev,
               golang-gopkg-check.v1-dev,
               golang-github-miekg-dns-dev,
               pkg-config,
               asciidoctor
Standards-Version: 3.9.8
Homepage: https://coy.im
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/coyim.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/coyim.git

Package: coyim
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: tor
Description: safe and secure XMPP chat client
 CoyIM is a chat client using the XMPP protocol. It is built upon
 https://github.com/agl/xmpp-client and https://github.com/twstrike/otr3.
 It adds a graphical user interface and tries to be safe and secure by default.
 The authors' ambition is that it should be possible for even the most
 high-risk people on the planet to safely use CoyIM, without having to make
 any configuration changes.
 .
 To do this, OTR is enabled by default, Tor is used by default, and the Tor
 Onion Service will be used for a server if it is known. Also, TLS and TLS
 certificates are used to verify the connection - no configuration necessary.
 The implementation is written in the Go language, to avoid many common types
 of vulnerabilities that come from using unsafe languages.

=== debian/rules ===
#!/usr/bin/make -f

export DH_OPTIONS
export DH_GOPKG := github.com/twstrike/coyim

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=mybuild

override_dh_auto_clean:
	rm -rf debian/coyim.1 debian/coyim.1.html
	dh_auto_clean --

override_dh_auto_test:
	find ./config/importer -type d -name '*test_data' | xargs cp -rv -t /tmp ./config/importer/xmpp_client_test_conf.json
	# Skip tests requiring internet access
	DH_GOLANG_EXCLUDES="github.com/twstrike/coyim/xmpp" dh_auto_test --

override_dh_auto_build:
	dh_auto_build --
	find mybuild/src -type f | xargs chmod a-x

override_dh_installman:
	asciidoctor -a docdate='' -b manpage debian/coyim.1.adoc
	dh_installman --

override_dh_fixperms:
	dh_fixperms
	find debian -name "*.go" | xargs -r chmod a-x
	find debian -name "*.xml" | xargs -r chmod a-x

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v([0-9.]+)\.tar\.gz/coyim-$1\.tar\.gz/;s/.+\/v([0-9.]+)-(pre\d*)\.tar\.gz/coyim-$1~$2.tar.gz/,uversionmangle=s/-pre/~pre/ \
  https://github.com/twstrike/coyim/releases .*/v?(\d\S+)\.tar\.gz

## coyim 0.3.8%2Bds

=== gui/definitions/Makefile ===
generate:
	ruby ./generate.rb
	gofmt -w .

touch:
	ls *.xml | xargs -n1 touch

doctor: touch generate
	git diff --exit-code .

=== debian/changelog ===
coyim (0.3.8+ds-5ubuntu0.1) bionic-security; urgency=medium

  * No-change rebuild for golang-x-text

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Mon, 16 Jan 2023 16:56:40 +0100

coyim (0.3.8+ds-5) unstable; urgency=medium

  * Switch to XS-Go-Import-Path.
    Thanks to Michael Stapelberg for the patch.
  * Migrate to pkg-go team maintenance.
  * Update Vcs-* to use Salsa.
  * Update debhelper compat level.
  * Bump Standards-Version.
  * Use secure d/copyright format link.
  * Remove unneeded patch files.
  * Check DEB_BUILD_PROFILES against nocheck flag and skip tests if needed.
  * Do not install source files with binary package.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 08 Feb 2018 10:05:41 +0100

coyim (0.3.8+ds-4) unstable; urgency=medium

  * Relax test timeout.
  * Bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 12 Oct 2017 14:29:50 +0200

coyim (0.3.8+ds-3) unstable; urgency=medium

  * Relax test timeout.
  * Bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Sun, 13 Aug 2017 10:13:48 -0400

coyim (0.3.8+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 19 Jun 2017 12:21:29 +0200

coyim (0.3.8+ds-1) experimental; urgency=medium

  * New upstream release.
  * Pin Go version to 1.7+
  * Update build-deps.
  * Remove patches for unvendoring.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 07 Jun 2017 11:04:08 +0200

=== debian/watch ===
version=3
opts="repacksuffix=+ds,dversionmangle=s/\+ds//g,repack,compression=xz" \
  https://github.com/twstrike/coyim/releases .*/v(\d\S+)\.tar\.gz

## coyim 0.3.8+ds

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,9 @@
 GTK_VERSION=$(shell pkg-config --modversion gtk+-3.0 | tr . _ | cut -d '_' -f 1-2)
 GTK_BUILD_TAG="gtk_$(GTK_VERSION)"
 GIT_VERSION=$(shell git rev-parse HEAD)
-TAG_VERSION=$(shell git tag -l --contains $$GIT_VERSION)
+TAG_VERSION=$(shell git tag -l --contains $$GIT_VERSION | tail -1)
 GO_VERSION=$(shell go version | grep  -o 'go[[:digit:]]\.[[:digit:]]')
+KEYID=$(shell gpg2 --keyid-format 0xlong -K | grep '^sec' | head -1 | cut -d\  -f4 | cut -d\/ -f2)
 
 BUILD_DIR=bin
 
@@ -39,22 +40,15 @@
 .PHONY: i18n
 
 lint:
-ifeq ($(GO_VERSION), go1.3)
-	echo "Your version of Go is too old for running lint. Skipping."
-else
-ifeq ($(GO_VERSION), go1.4)
-	echo "Your version of Go is too old for running lint. Skipping."
-else
-ifeq ($(GO_VERSION), go1.5)
-	echo "Your version of Go is too old for running lint. Skipping."
-else
-	golint ./...
-endif
-endif
-endif
+	for pkg in $$(go list ./... |grep -v /vendor/) ; do \
+		golint $$pkg ; \
+    done
 
 test:
 	go test -cover -v -tags $(GTK_BUILD_TAG) ./...
+
+test-named:
+	go test -v -tags $(GTK_BUILD_TAG) ./cli ./client ./config ./config/importer ./event ./gui ./i18n ./net ./roster ./sasl ./sasl/digestmd5 ./sasl/plain ./sasl/scram ./servers ./session ./xmpp ./xmpp/data ./xmpp/utils ./ui
 
 clean-gui-test:
 	$(RM) gui-test/*
@@ -102,27 +96,34 @@
 	go tool cover -html=.coverprofiles/gover.coverprofile
 
 get:
-	go get -t -tags $(GTK_BUILD_TAG) ./...
+	go get -t -tags $(GTK_BUILD_TAG) $(go list ./... | grep -v /vendor/)
 
 deps-dev:
-ifeq ($(GO_VERSION), go1.3)
-	go get -a golang.org/x/tools/cmd/cover
-else
-ifeq ($(GO_VERSION), go1.4)
-	go get -a golang.org/x/tools/cmd/cover
-else
-ifeq ($(GO_VERSION), go1.5)
-	go get -a golang.org/x/tools/cmd/cover
-else
-	go get github.com/golang/lint/golint
-endif
-endif
-endif
-	go get github.com/modocache/gover
-	go get github.com/tools/godep
+	go get -u github.com/golang/lint/golint
+	go get -u github.com/modocache/gover
+	go get -u github.com/tools/godep
 
 deps: deps-dev
-	godep restore
 
-fixup-deps:
-	godep save -r -t -v ./...
+reproducible-linux-create-image:
+	make -C ./reproducible/docker create-image
+
+reproducible-linux-build: reproducible-linux-create-image
+	make -C ./reproducible/docker build
+
+sign-reproducible:
+	./sign_build_info_with_key.sh $(KEYID)
+
+upload-reproducible-signature:
+	./push_build_info.sh bin/build_info.$(KEYID).asc $(TAG_VERSION) build_info.$(KEYID).asc
+
+send-reproducible-signature:
+	./mail_build_info.sh bin/build_info.$(KEYID).asc $(TAG_VERSION)
+
+check-reproducible-signatures:
+	./check_build_info_signatures.rb $(TAG_VERSION)
+
+gen-authors:
+	rm -rf gui/authors.go
+	./authors.rb > gui/authors.go
+	gofmt -w gui/authors.go

=== build/Makefile ===
IMAGE_NAME=twstrike/coyim-ci

default: image build

image:
	docker build -t $(IMAGE_NAME) .

build:
	docker run $(IMAGE_NAME)

run:
	docker run -i -t $(IMAGE_NAME) bash

=== ci/Makefile ===
--- 
+++ 
@@ -68,9 +68,19 @@
 ../bin/coyim:
 	make -C ../ build-gui
 
+build-linux:
+	make -C ../ reproducible-linux-build
+
 release-gui: ../bin/coyim
 	mkdir -p ../release
 	cp ../bin/coyim ../release/coyim_$(shell go env GOOS)_$(shell go env GOARCH)
+	openssl dgst -sha256 ../release/coyim_$(shell go env GOOS)_$(shell go env GOARCH) >> ../release/checksum
+
+release-gui-linux: build-linux
+	mkdir -p ../release
+	cp ../bin/coyim ../release/coyim_$(shell go env GOOS)_$(shell go env GOARCH)
+	cp ../bin/coyim-cli ../release/coyim-cli_$(shell go env GOOS)_$(shell go env GOARCH)
+	cp ../bin/build_info ../release/build_info_$(shell go env GOOS)_$(shell go env GOARCH)
 	openssl dgst -sha256 ../release/coyim_$(shell go env GOOS)_$(shell go env GOARCH) >> ../release/checksum
 
 ../bin/coyim.exe:
@@ -78,6 +88,6 @@
 
 release-gui-win: ../bin/coyim.exe
 	mkdir -p ../release
-	cp ../vendor/toast.exe ../release/toast.exe
+	cp ../build/toast.exe ../release/toast.exe
 	cp ../bin/coyim.exe ../release/coyim_$(shell go env GOOS)_$(shell go env GOARCH).exe
 	openssl dgst -sha256 ../release/coyim_$(shell go env GOOS)_$(shell go env GOARCH).exe >> ../release/checksum

=== i18n/Makefile ===
DEFINITIONS=$(shell ls ../gui/definitions/*.xml)
IN_FILES=$(shell find ../gui -name "*.go" ! -path "gui/definitions/*")

# https://www.gnu.org/software/gettext/manual/gettext.html#Overview
# translatables from source -> .po
# .po -> translate to each locale -> .po (translated)
# .po (translated) -> .mo (binary)

# For now, a single translation domain. We could use multiple domains if
# needed.
DOMAIN=coy

TRANSLATIONS=\
	ar/LC_MESSAGES/$(DOMAIN).mo \
	en_US/LC_MESSAGES/$(DOMAIN).mo \
	pt_BR/LC_MESSAGES/$(DOMAIN).mo \
	sv_SE/LC_MESSAGES/$(DOMAIN).mo \
	zh_CN/LC_MESSAGES/$(DOMAIN).mo \
	es_EC/LC_MESSAGES/$(DOMAIN).mo

gettext: $(TRANSLATIONS)

$(DOMAIN).pot: $(DEFINITIONS) $(IN_FILES)
	xgettext --package-name=$(DOMAIN) --default-domain=$(DOMAIN) --from-code=utf-8 -L glade $(DEFINITIONS) -o $(DOMAIN).pot
	xgettext --package-name=$(DOMAIN) --default-domain=$(DOMAIN) --from-code=utf-8 -L python $(IN_FILES) --keyword=Local -j -o $(DOMAIN).pot

%.po: $(DOMAIN).pot
	./update-locales $(DOMAIN).pot $@

%.mo: %.po
	msgfmt -c -v -o $@ $<

update-locales: $(DOMAIN).pot
	./update-locales $(DOMAIN).pot $(TRANSLATIONS)

clean:
	$(RM) $(TRANSLATIONS)

# We need this to prevent make from removing the intermediate .po
.PRECIOUS: %.po

=== reproducible/docker/Makefile ===
IMAGE_NAME=coyim/reproducible
REFERENCE_DATETIME=$(shell git log -1 --format=%ci)
PWD=$(shell pwd)

default: create-image

create-image:
	docker build -t $(IMAGE_NAME) -f Dockerfile .

console:
	docker run -v $(PWD)/../..:/src -e REFERENCE_DATETIME="$(REFERENCE_DATETIME)" -i -t $(IMAGE_NAME) bash

build:
	docker run -v $(PWD)/../..:/src -e REFERENCE_DATETIME="$(REFERENCE_DATETIME)" -t $(IMAGE_NAME) /root/build

=== gui/settings/definitions/Makefile ===
.PHONY: generate

gschemas.compiled: *.xml
	glib-compile-schemas .

schemas.go: gschemas.compiled
	ruby ./generate.rb

generate: touch schemas.go

touch:
	ls *.xml | xargs -n1 touch

doctor: touch generate
	git diff --exit-code .

=== debian/changelog ===
coyim (0.3.8+ds-6build1) groovy; urgency=medium

  * No-change rebuild using new golang

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 09 Sep 2020 23:15:45 +0000

coyim (0.3.8+ds-6) unstable; urgency=medium

  * Apply upstream patch to fix failing tests with recent golang.org/x/net.
    See https://github.com/coyim/coyim/issues/505 for details.
    Closes: #916128
  * Bump Standards-Version.
  * Use debhelper 11.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 22 Dec 2018 19:38:05 +0000

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,30 @@
 Source: coyim
 Section: net
 Priority: optional
-Maintainer: Sascha Steinbiss <satta@debian.org>
-Build-Depends: debhelper (>= 9),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Uploaders: Sascha Steinbiss <satta@debian.org>
+Build-Depends: debhelper (>= 11),
                dh-golang,
-               golang-go,
+               golang-go (>= 2:1.7),
                golang-dbus-dev,
                golang-github-gotk3-gotk3-dev,
                golang-github-hydrogen18-stalecucumber-dev,
                golang-github-thecreeper-go-notify-dev,
-               golang-github-twstrike-gotk3adapter-dev,
+               golang-github-twstrike-gotk3adapter-dev (>= 0.0~git20170505.0.901a95d),
                golang-github-twstrike-otr3-dev,
                golang-github-dhowett-go-plist-dev,
                golang-golang-x-crypto-dev,
                golang-gopkg-check.v1-dev,
                golang-github-miekg-dns-dev,
+               golang-github-kardianos-osext-dev,
                pkg-config,
                asciidoctor
-Standards-Version: 3.9.8
+Standards-Version: 4.2.1
 Homepage: https://coy.im
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/coyim.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/coyim.git
+Vcs-Browser: https://salsa.debian.org/pkg-go-team/packages/coyim
+Vcs-Git: https://salsa.debian.org/pkg-go-team/packages/coyim.git
+XS-Go-Import-Path: github.com/twstrike/coyim
 
 Package: coyim
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #!/usr/bin/make -f
 
 export DH_OPTIONS
-export DH_GOPKG := github.com/twstrike/coyim
 
 %:
 	dh $@ --buildsystem=golang --with=golang --builddirectory=mybuild
@@ -11,13 +10,18 @@
 	dh_auto_clean --
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	find ./config/importer -type d -name '*test_data' | xargs cp -rv -t /tmp ./config/importer/xmpp_client_test_conf.json
 	# Skip tests requiring internet access
 	DH_GOLANG_EXCLUDES="github.com/twstrike/coyim/xmpp" dh_auto_test --
+endif
 
 override_dh_auto_build:
 	dh_auto_build --
 	find mybuild/src -type f | xargs chmod a-x
+
+override_dh_auto_install:
+	dh_auto_install -- --no-source
 
 override_dh_installman:
 	asciidoctor -a docdate='' -b manpage debian/coyim.1.adoc
